#################################################
#
#  (C) 2011 Timothy Pearson
#  kb9vqf (AT) pearsoncomputing.net
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${TQT_INCLUDE_DIRS}
  ${TDE_INCLUDE_DIR}
  ${CMAKE_BINARY_DIR}
  ${CMAKE_BINARY_DIR}/src
  ${CMAKE_SOURCE_DIR}/src
  ${CMAKE_SOURCE_DIR}/src/settings
  ${CMAKE_CURRENT_BINARY_DIR}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### data files ################################

install( FILES ${CMAKE_CURRENT_SOURCE_DIR}/tdesvn_part.kcfg DESTINATION ${KCFG_INSTALL_DIR} )
install( FILES ${CMAKE_CURRENT_SOURCE_DIR}/tdesvnpartrc-use-external.upd DESTINATION ${DATA_INSTALL_DIR}/tdeconf_update )
install( FILES ${CMAKE_CURRENT_SOURCE_DIR}/tdesvn-use-external-update.sh
  DESTINATION ${DATA_INSTALL_DIR}/tdeconf_update
  PERMISSIONS OWNER_EXECUTE OWNER_WRITE OWNER_READ GROUP_EXECUTE GROUP_READ WORLD_EXECUTE WORLD_READ
)
